### Method

# Gimp PlugIn set_pdb_error_handler

since: 3.0

#### Declaration [src]

    void
    gimp_plug_in_set_pdb_error_handler (
      GimpPlugIn* plug_in,
      GimpPDBErrorHandler handler
    )

#### Description [src]

Sets an error handler for procedure calls.

This procedure changes the way that errors in procedure calls are handled. By default GIMP will raise an error dialog if a procedure call made by a plug-in fails. Using this procedure the plug-in can change this behavior. If the error handler is set to `GIMP_PDB_ERROR_HANDLER_PLUGIN`, then the plug-in is responsible for calling `gimp_pdb_get_last_error()` and handling the error whenever one if its procedure calls fails. It can do this by displaying the error message or by forwarding it in its own return values.

Available since: 3.0

#### Parameters

`handler`

  Type: `GimpPDBErrorHandler`

  Who is responsible for handling procedure call errors.